QR kodų temos
GET https://p9.lt/api/qr-code-themes/
curl --request GET \
--url 'https://p9.lt/api/qr-code-themes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-code-themes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrai | Informacija | Aprašymas |
|---|---|---|
| search | Neprivalomas String | Paieškos eilutė. |
| search_by | Neprivalomas String | Laukas, pagal kurį ieškoma. Leidžiamos reikšmės: name. |
| datetime_field | Neprivalomas String | Leidžiamos reikšmės: datetime, last_datetime |
| datetime_start | Neprivalomas String | Filtruoti rezultatus pradedant nuo šios datos ir laiko. Formatas: Y-m-d H:i:s. |
| datetime_end | Neprivalomas String | Filtruoti rezultatus iki šios datos ir laiko. Formatas: Y-m-d H:i:s. |
| order_by | Neprivalomas String | Laukas, pagal kurį rikiuojami rezultatai. Leidžiamos reikšmės: qr_code_theme_id, datetime, last_datetime, name. |
| order_type | Neprivalomas String | Rezultatų rikiavimo tvarka. Leidžiamos reikšmės: ASC – didėjimo tvarka, DESC – mažėjimo tvarka. |
| page | Neprivalomas Integer | Puslapio numeris, iš kurio norite gauti rezultatus. Numatytoji reikšmė – 1. |
| results_per_page | Neprivalomas Integer | Kiek rezultatų norite matyti puslapyje. Leidžiamos reikšmės: 10, 25, 50, 100, 250, 500, 1000. Numatytoji reikšmė – 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#000000"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": null,
"datetime": "2026-11-11 08:58:32"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://p9.lt/api/qr-code-themes?page=1",
"last": "https://p9.lt/api/qr-code-themes?page=1",
"next": null,
"prev": null,
"self": "https://p9.lt/api/qr-code-themes?page=1"
}
}
GET https://p9.lt/api/qr-code-themes/{qr_code_theme_id}
curl --request GET \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#000000"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": null,
"datetime": "2026-11-11 08:58:32"
}
}
POST https://p9.lt/api/qr-code-themes
| Parametrai | Informacija | Aprašymas |
|---|---|---|
| name | Privalomas String | - |
| settings | Privalomas String | JSON objektas su QR kodo stiliaus parametrais. Atnaujinant nepateikti nustatymai išlieka nepakitę. |
| source_qr_code_id | Neprivalomas Integer | Nukopijuoti paveikslėlius iš vieno iš jūsų QR kodų. |
| qr_code_logo | Neprivalomas Failas | - |
| qr_code_background | Neprivalomas Failas | - |
| qr_code_foreground | Neprivalomas Failas | - |
| qr_code_logo_remove | Neprivalomas Boolean | - |
| qr_code_background_remove | Neprivalomas Boolean | - |
| qr_code_foreground_remove | Neprivalomas Boolean | - |
curl --request POST \
--url 'https://p9.lt/api/qr-code-themes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"style":"square","foreground_color":"#123456"}' \
--url 'https://p9.lt/api/qr-code-themes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"style":"square","foreground_color":"#123456"}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#123456"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": null,
"datetime": "2026-11-11 08:58:32"
}
}
POST https://p9.lt/api/qr-code-themes/{qr_code_theme_id}
| Parametrai | Informacija | Aprašymas |
|---|---|---|
| name | Neprivalomas String | - |
| settings | Neprivalomas String | JSON objektas su QR kodo stiliaus parametrais. Atnaujinant nepateikti nustatymai išlieka nepakitę. |
| source_qr_code_id | Neprivalomas Integer | Nukopijuoti paveikslėlius iš vieno iš jūsų QR kodų. |
| qr_code_logo | Neprivalomas Failas | - |
| qr_code_background | Neprivalomas Failas | - |
| qr_code_foreground | Neprivalomas Failas | - |
| qr_code_logo_remove | Neprivalomas Boolean | - |
| qr_code_background_remove | Neprivalomas Boolean | - |
| qr_code_foreground_remove | Neprivalomas Boolean | - |
curl --request POST \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"foreground_color":"#654321"}' \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Production' \
--form 'settings={"foreground_color":"#654321"}' \
{
"data": {
"id": 1,
"user_id": 1,
"name": "Example",
"settings": {
"style": "square",
"foreground_color": "#654321"
},
"preview": "https://p9.lt/uploads/qr_codes/logo/{preview}.svg",
"qr_code_logo": null,
"qr_code_background": null,
"qr_code_foreground": null,
"last_datetime": "2026-11-11 08:58:32",
"datetime": "2026-11-11 08:58:32"
}
}
DELETE https://p9.lt/api/qr-code-themes/{qr_code_theme_id}
curl --request DELETE \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://p9.lt/api/qr-code-themes/{qr_code_theme_id}' \
--header 'Authorization: Bearer {api_key}' \